## golang-github-mostynb-go-grpc-compression 1.2.3

=== Makefile ===
OTEL_DOCKER_PROTOBUF ?= otel/build-protobuf:0.4.0
PROTOC := docker run --rm -u ${shell id -u} -v${PWD}:${PWD} -w${PWD} ${OTEL_DOCKER_PROTOBUF} --proto_path=${PWD}

.PHONY: genproto
genproto:
	$(PROTOC) --go_out=plugins=grpc:. internal/testserver/testserver.proto

=== debian/control ===
Source: golang-github-mostynb-go-grpc-compression
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Guillem Jover <gjover@sipwise.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-golang-snappy-dev,
 golang-github-klauspost-compress-dev,
 golang-github-pierrec-lz4-dev,
 golang-github-stretchr-testify-dev <!nocheck>,
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mostynb-go-grpc-compression
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mostynb-go-grpc-compression.git
Homepage: https://github.com/mostynb/go-grpc-compression
XS-Go-Import-Path: github.com/mostynb/go-grpc-compression

Package: golang-github-mostynb-go-grpc-compression-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-golang-snappy-dev,
 golang-github-klauspost-compress-dev,
 golang-github-pierrec-lz4-dev,
 golang-github-stretchr-testify-dev,
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: Go gRPC encoding wrappers for missing compressors (library)
 This repository contains Go gRPC encoding wrappers for some useful
 compression algorithms that are not available in google.golang.org/grpc.
 .
  * github.com/mostynb/go-grpc-compression/lz4
    - using (https://github.com/pierrec/lz4)
  * github.com/mostynb/go-grpc-compression/snappy
    - using (https://github.com/golang/snappy)
  * github.com/mostynb/go-grpc-compression/zstd
    - using (https://github.com/klauspost/compress/tree/master/zstd)
 .
 The following algorithms also have experimental implementations, which
 have not been tested as much as those above. These may be changed
 significantly, or even removed from this library at a future point.
 .
  * github.com/mostynb/go-grpc-compression/experimental/klauspost_snappy
    - using (https://github.com/klauspost/compress/tree/master/s2)
      in snappy compatibility mode
  * github.com/mostynb/go-grpc-compression/experimental/s2
    - using (https://github.com/klauspost/compress/tree/master/s2)
 .
 Importing any of the packages above will override any previously
 registered encoders with the same name. If you would prefer imports to
 only register the encoder if there is no previously registered encoder
 with the same name, then you should instead import one of the following
 packages:
 .
  * github.com/mostynb/go-grpc-compression/nonclobbering/lz4
  * github.com/mostynb/go-grpc-compression/nonclobbering/snappy
  * github.com/mostynb/go-grpc-compression/nonclobbering/zstd
  * github.com/mostynb/go-grpc-compression/nonclobbering/experimental/klauspost_snappy
  * github.com/mostynb/go-grpc-compression/nonclobbering/experimental/s2

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/mostynb/go-grpc-compression/tags .*/v?(\d\S*)\.tar\.gz debian
